:root{
  --primary-color: #000000;
}

body {
  margin: 0px;
  font-family: Arial, Helvetica, sans-serif
}
a {
  text-decoration: none;
  color: inherit;   ;
}
/* this is header css */

/* end of header css */


/* footer css start from here */

.footer {
  text-align: center;
  padding: 12px;
  
}


/* foter css ends here */


/* general css */

.add_to_cart_btn {
  background-color: rgb(66, 194, 240);
  color: #ffffff;
  padding: 12px;
  font-size: 16px;
  font-weight: bold;
  width: calc(100% - 24px);
  text-align: center;
  cursor: pointer;
  
}

.errors {
  font-size: 14px;
  color: red;

  ul {
    padding: 0;
  }
}
/* general css ends */

/* loader css start*/
.custom_loader {
  width: 60px;
  height: 60px;
  background-color: transparent;
  border: 10px solid gray;
  border-bottom-color: rgb(122, 181, 232);
  border-radius: 50%;
  animation: spin 1s linear infinite;
}
@keyframes spin {
  0% {transform: rotate(0deg);}
  100% {transform: rotate(360deg);}
}
/* loader css ends */

/* custom table starts */
.custom_table {
  border-collapse: collapse;
  width: 100%;

  td, th {
    border: 1px solid #DDDDDD;
    text-align: left;
    padding: 8px;
    max-width: 50px;
  }

  tr:nth-child(even) {
    background-color: #E7E9EB;
  }
  img {
    width: 100%;
  }
}


/* custom table ends */
.custom_modal {
  position: fixed;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.5);
  display: none;
  justify-content: center;
  align-items: center;
}
.cus_modal_content {
  min-width: 400px;
  min-height: 200px;
  background-color: #ffffff;
  border-radius: 4px;
}
.cus_modal_head {
  border-bottom: 1px solid #dddddd;
  padding: 8px;
  display: grid;
  grid-template-columns: auto auto;
  justify-content: space-between;
  /* align-items: space-between; */
}
.closeIcon {
  cursor: pointer;
}
.custom_modal_footer {
  border-top: 1px solid #dddddd;
  margin-top: 12px;
  padding: 12px;
  text-align: right;
}

/* custom modal */

/* custom pagination css starts*/
.pagination {
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

.pagination ul {
  list-style: none;
  display: flex;
  padding: 0;
}

.pagination ul li {
  margin: 0 5px;
  padding: 5px 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.pagination ul li.active {
  background-color: #007bff;
  color: white;
}
/* custom pagination css ends */